%define pkgname runt
Summary:	Ruby Temporal Expressions
Summary(pl.UTF-8):	Wyrażenia czasowe dla języka Ruby
Name:		ruby-%{pkgname}
Version:	0.7.0
Release:	2
License:	GPL
Group:		Development/Libraries
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	15c36c030d985091b927f2a1f390fff0
URL:		http://runt.rubyforge.org/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Runt is an implementation of select temporal patterns by Martin Fowler
in the super-fantastic Ruby language.

%description -l pl.UTF-8
Runt to implementacja wybranych wyrażeń czasowych Martina Fowlera w
języku Ruby.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
ruby setup.rb config \
	--site-ruby=%{ruby_vendorlibdir} \
	--so-dir=%{ruby_archdir}

ruby setup.rb setup

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{Date,ExpressionBuilder,Time}
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO CHANGES doc examples
%{ruby_vendorlibdir}/runt.rb
%{ruby_vendorlibdir}/runt

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Runt
%changelog
* Mon Jul 21 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-runt.git;a=log;h=master

* Sun Jul 20 2014 Elan Ruusamäe <glen@delfi.ee> 044abf5
- install to vendor dirs

* Sun Jul 20 2014 Elan Ruusamäe <glen@delfi.ee> 2d2d855
- fix ri doc packaging

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> f4f62ba
- up to 0.7.0
- added rdoc and ri packages

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 746b22d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5f68b09
- converted to UTF-8

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> 7c8add0
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> 4b449ec
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> 0c20f38
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

* Sat Nov 19 2005 Elan Ruusamäe <glen@pld-linux.org> 6e1c412
- use system ruby macros
- cleanups, corrections, cosmetics

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> fce4adf
- spaces->tabs
- formatting

* Fri Sep 24 2004 radek <radek@pld-linux.org> 7a35d14
- massive: missing %defattr (or related cosmetics)

* Thu Aug 26 2004 aredridel <aredridel@pld-linux.org> 07b100e
- ruby does not handle libdir properly on amd64.
- will be noarch again after Ruby is patched.

* Sun Jun 27 2004 Jakub Bogusz <qboosh@pld-linux.org> 795307f
- pl(?)

* Sun Jun 27 2004 aredridel <aredridel@pld-linux.org> 6b6534e
- rdoc

* Sun Jun 27 2004 aredridel <aredridel@pld-linux.org> 732da3c
- buildarch

* Sun Jun 27 2004 aredridel <aredridel@pld-linux.org> 7def2af
- added

